#!/usr/bin/env python
#
# grib_checker.py checks Checks whatever you want to check in your life
#
# AUTHOR: BSC-CNS I. CERNICHARO
#

import os
import sys

from grib_checker import grib_content

VERSION = "ALPHA 0.1"

def run(args):

    g_c = grib_content.grib_content(args)
    pname = chr(27)+"[1;32m"+g_c.pname+chr(27)+"[0m"
    print
    print(pname)
    print
    print(g_c.print_num_keys())
    print
    meta_cck,grid_cck,grid_type_cck,msg_edition_cck = (g_c.check_meta_grid())
    print(msg_edition_cck)
    print(meta_cck)
    print(grid_type_cck)
    print(grid_cck)
    print
    data_cck,coord_cck = (g_c.check_data_coords())
    print(data_cck)
    print(coord_cck)

if __name__ == "__main__":
    args = sys.argv[1:]
    print(" ---- RUNNING GRIB CHECKER ---- ")
    print(VERSION)
    print

    for item in args:
        run(item)